[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.OnSelection

Event handler for when an area of a grid (one or a group of cells) is selected

## Declaration

Source position: grids.pas line 1061

`protected property TCustomGrid.OnSelection: TOnSelectEvent read fOnSelection write fOnSelection;`

## Description

The Col and Row parameters contain the column and the row of the highlighted cell. Application developers may use the OnSelection and OnBeforeSelection events to react on focus changes. Component developers should use the method instead.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .